Get Payment Order
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{id}/deposit/fiat/orders/{orderId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{id}/deposit/fiat/orders/{orderId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{id}/deposit/fiat/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Successful",
"data": {
"id": "80ea45ab-38b9-4506-b213-52da8bc7e825",
"type": "deposit",
"rail": "one_time_virtual_account",
"reference": "dep_20260719_001",
"providerReference": "provider_order_839201",
"transactionId": null,
"status": "pending",
"currency": "NGN",
"amount": "100.00",
"amountFiat": "155000.00",
"feeFiat": "1500.00",
"amountFiatPayable": "156500.00",
"amountFiatReceived": null,
"amountSettled": null,
"expiresAt": "2026-07-19T13:00:00.000Z",
"paymentInstructions": {
"type": "one_time_virtual_account",
"bank": {
"name": "Example Bank",
"code": "999",
"accountName": "Blockradar / Acme Ltd",
"accountNumber": "0123456789"
},
"paymentLink": null,
"qrCode": null,
"expiresAt": "2026-07-19T13:00:00.000Z",
"metadata": null
},
"metadata": {
"checkoutId": "checkout_123"
},
"provider": {
"id": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"slug": "example-provider",
"name": "Example Provider"
},
"wallet": {
"id": "4465468a-3c36-4536-918a-91d689e18a74",
"address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a"
},
"address": null,
"asset": {
"id": "ae455f23-3824-4125-baab-d158315cbcbd",
"symbol": "USDC",
"name": "USD Coin"
},
"customer": {
"id": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a"
},
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
}Deposit Fiat
Get Payment Order
GET
/
v1
/
wallets
/
{id}
/
deposit
/
fiat
/
orders
/
{orderId}
Get Payment Order
Authorizations
Path Parameters
Wallet identifier.
Payment order identifier.
⌘I

